Further Ways to import VISUM Demand Definitions

VISUM stores its demand in OD-matrices which can be imported using od2trips. Though, it may be interesting for using the computed assignments without performing a dynamic user assignment. The SUMO package contains some scripts which allow to process other VISUM data and are discussed in the following.

# Importing Turn Percentages

VISUM can save the defined/computed turning percentages at junctions. The format differs from turning probabilities format used by jtrrouter. The script visum_convertTurnPercentages.py converts VISUM turning percentages into jtrrouter turning definitions. The tool requires the SUMO-network converted from VISUM, the turning probabilities from VISUM, and the name of the file into which the converted turning probabilities shall be written:

    visum_convertTurnPercentages.py <SUMO_NET> <VISUM_TURNINGS> <OUTPUT>

The script is located in <SUMO_HOME>/tools/import/visum. It is written in Python.

## Usability

It seems as using turning ratios for large areas would not make any sense. The resulting routes are very unrealistic as they contain many loops.

## See Also

- jtrrouter - page on the turning ratios router
- Demand/Routing by Turn Probabilities - further documentation on this tool's usage

# Importing Routes

VISUM can save the routes it computes during the assignment. The format differs from Definition of Vehicles, Vehicle Types, and Routes used by sumo and sumo-gui. The script visum_convertRoutes.py converts VISUM routes into sumo routes. The tool requires the SUMO-network converted from VISUM, the routes exported from VISUM, and the name of the file into which the converted turning probabilities shall be written. Additional options are shown in the following table:

Option | Description
--- | ---
--net-file <FILE> -n <FILE> | Read the SUMO-network to map the routes onto from <FILE>; mandatory
--visum-routes <FILE> -r <FILE> | Read VISUM-routes to map from <FILE>; mandatory
--output <FILE> -o <FILE> | Write generated routes to <FILE>; mandatory
--begin <INT> -b <INT> | Define the begin of the interval the vehicles are emitted within [s]; default: 0s
--end <INT> -e <INT> | Define the end of the interval the vehicles are emitted within [s]; default: 3600s
--prefix <STRING> -p <STRING> | Add <STRING> as prefix to the IDs of generated vehicles; optional, default: no prefix
--type <STRING> -t <STRING> | Set the vehicle type to <STRING>; optional, default: no type
--uniform -u | Vehicle departure times will be spread across the interval uniformly; optional, default: false
--timeline <STRING> -l <STRING> | Applies a daily time line. The time line must be given as a list of 24 floats, each describing the percentage of emissions from the original number for each hour of a day; optional, default: no timeline

Example call:

    visum_convertRoutes.py -n <SUMO_NET> -r <VISUM_ROUTES> -o <OUTPUT> --uniform

The script is located in <SUMO_HOME>/tools/import/visum. It is written in Python.

## Usability

The routes can be directly used within sumo / sumo-gui.

## See Also

- Examples of daily time lines

#### Search

Enter your search terms:

#### Keyboard Shortcuts

Key | Action
--- | ---
`?` | Open this help dialog
`s` | Search the Documentation
`e` | Edit current page on GitHub